# The Autotools specific mingw64 CDBS target file.

CONFIGOPTS = --build=$(DEB_BUILD_GNU_TYPE)

CONFIGOPTS64 = 	--host=$(MINGW64_TARGET) \
	--prefix=$(MINGW64_SYSROOT)mingw \
	--bindir=$(MINGW64_SYSROOT)mingw/bin \
	--libdir=$(MINGW64_SYSROOT)mingw/lib \
	--cache-file=mingw64-config.cache
	
CONFIGOPTS32 = --host=$(MINGW32_TARGET) \
	--prefix=$(MINGW32_SYSROOT)mingw \
	--bindir=$(MINGW32_SYSROOT)mingw/bin \
	--libdir=$(MINGW32_SYSROOT)mingw/lib \
	--cache-file=mingw32-config.cache

configure: configure-stamp
configure-stamp:
	dh_testdir
	
	mkdir -p build-64
	if [ -f debian/pre64_config.sh ]; then /bin/bash debian/pre64_config.sh; fi
	cd build-64 && $(MINGW64_CONFIGURE) $(CONFIGOPTS) $(CONFIGOPTS64)
	if [ -f debian/post64_config.sh ]; then /bin/bash debian/post64_config.sh; fi
	
	mkdir -p build-32
	if [ -f debian/pre32_config.sh ]; then /bin/bash debian/pre32_config.sh; fi
	cd build-32 && $(MINGW32_CONFIGURE) $(CONFIGOPTS) $(CONFIGOPTS32)
	if [ -f debian/post32_config.sh ]; then /bin/bash debian/post32_config.sh; fi
		
	touch configure-stamp


